$Server::PnP::maxBricks = 1000;
$Server::PnP::maxBuildDistance = 10;
$Server::PnP::heightlimited = 1;
$Server::PnP::filePath = "config/Props and Placement/";
$Server::PnP::loadPropTimeoutMultiplier = 0.01;
$Server::PnP::plantPropTimeoutMultiplier = 0.5;
$Server::PnP::allowPartialPropPlant = 0;
$Server::PnP::propToolUseOnce = 1;
$Server::PnP::minigameClearPropOnReset = 1;
$Server::PnP::HealthModifier = 1;

exec("./math.cs");

exec("./saveloadfunctions.cs");

exec("./propcmds.cs");

exec("./items.cs");

//RTB prefs
if (isFile("config/Props and Placement/propPrefs.cs"))
	exec("config/Props and Placement/propPrefs.cs");
if ($AddOn__Tool_PropifyWand && isFile("Add-ons/Tool_PropifyWand/server.cs"))
{
	RTB_registerPref("Max Bricks","Propify Wand","$Pref::PropifyWand::maxBricks",	"int 1 50000","Tool_Props","5000","0","0","");	
	RTB_registerPref("Selection Timeout","Propify Wand","$Pref::PropifyWand::selectionTimeout",	"int 1 100","Tool_Props","1","0","0","");	
}

RTB_registerPref("Max Bricks (/getProp)","Prop Tool","$Server::PnP::maxBricks",	"int 1 50000","Tool_Props","1000","0","0","PnPexportPrefs");
RTB_registerPref("Limit select prop height?","Prop Tool","$Server::PnP::heightLimited",	"bool","Tool_Props","1","0","0","PnPexportPrefs");
RTB_registerPref("Max Build Distance","Prop Tool","$Server::PnP::maxBuildDistance",	"int 1 100","Tool_Props","10","0","0","PnPexportPrefs");
RTB_registerPref("Load Prop Timeout (Multiplier)","Prop Tool","$Server::PnP::loadPropTimeoutMultiplier",	"float 0 .5","Tool_Props",".01","0","0","PnPexportPrefs");
RTB_registerPref("Plant Prop Timeout (Multiplier)","Prop Tool","$Server::PnP::plantPropTimeoutMultiplier",	"float 0 1","Tool_Props",".5","0","0","PnPexportPrefs");
RTB_registerPref("Allow partial prop planting","Prop Tool","$Server::PnP::allowPartialPropPlant",	"bool","Tool_Props","0","0","0","PnPexportPrefs");
RTB_registerPref("Prop tool disappear on use","Prop Tool","$Server::PnP::propToolUseOnce",	"bool","Tool_Props","1","0","0","PnPexportPrefs");
RTB_registerPref("Clear props on minigame reset","Prop Tool","$Server::PnP::minigameClearPropOnReset",	"bool","Tool_Props","1","0","0","PnPexportPrefs");
RTB_registerPref("Prop Health Multiplier","Prop Tool","$Server::PnP::HealthModifier",	"float 0 5","Tool_Props","1","0","0","PnPexportPrefs");

function PnPexportPrefs()
{
	export("$Server::PnP*", "config/Props and Placement/propPrefs.cs");
}